//
// enum.cpp : Defines the entry point for the console application.
// A C++ program demonstrating the use of enumeration variables
// Copyright (c) Chris H. Pappas and William H. Murray, 2001
//

#include "stdafx.h"
#include <iostream>

using namespace std;

int main(int argc, char* argv[])
{
  enum air_supply { EMPTY,
                    USEABLE,
                    FULL=5 }  instructor_tank;
  enum air_supply student_tank;

  instructor_tank = FULL;
  student_tank = EMPTY;

  cout << "The value of instructor_tank is " 
	   << instructor_tank << endl;

  if (student_tank < USEABLE) {
    cout << "Refill this tank.\n";
    cout << "Class is cancelled.\n";
    exit(1);
  }
  if (instructor_tank >= student_tank)
    cout << "Proceed with lesson\n";
  else
    cout << "Class is cancelled!\n";

  return(0);
}